Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1984362 - Keyboad Layout switch using Alt+Shift doesn't work properly under Gnome/Wayland
Summary: Keyboad Layout switch using Alt+Shift doesn't work properly under Gnome/Wayland
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2021-07-21 10:25 UTC by Hedayat Vatankhah
Modified: 2024-02-14 11:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Hedayat Vatankhah 2021-07-21 10:25:23 UTC
Description of problem:
After recent updates, I'm having problems with switching keyboard layouts under Gnome/Wayland. It works as expected under Gnome/Xorg. But under Wayland, there are 2 problems:

1. The language indicator on the top bar doesn't change at all
2. The actual keyboard layout changes, but after initial switch to non-en layout, I should press the key combination 3 times to switch between two layouts; e.g. en->fa->en->en->fa->en->en->fa....

(Sorry, I'm not sure which component is actually related to this bug).

Comment 1 Ben Cotton 2022-05-12 14:53:18 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 2 Hedayat Vatankhah 2022-05-12 18:57:31 UTC
This bug is so annoying that I've stopped using wayland since F34.

Comment 3 Vít Ondruch 2023-03-06 11:27:13 UTC
Isn't this duplicate of bug 2173201?

Comment 4 Hedayat Vatankhah 2023-03-07 23:53:18 UTC
Doesn't seem so. Also, this is an old bug which exists in Fedora sine F34. Also, I don't think this bug is related to Xwayland. 

And in bug 2173201, it seems that switching is completely broken, while in this bug it is buggy not broken.

Comment 5 Ben Cotton 2023-04-25 16:43:13 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 6 Hedayat Vatankhah 2023-04-26 10:20:38 UTC
This bug is still there, and looks like keyboard layout switching issues continue to get worse.I've stopped using Wayland since Fedora 34 exactly because of this bug.

Comment 7 Hedayat Vatankhah 2023-10-03 18:53:27 UTC
Is this related to mutter at all? :P


Note You need to log in before you can comment on or make changes to this bug.